/*
 *  ngtk/test/init_sys.c
 *
 *  Copyright (C) 1998, 1999 Gabriel Fort <gabx@tfz.net>
 *
 */

/*----------------------------------------------------------------------------
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
----------------------------------------------------------------------------*/
#include <ngtk/ngtk.h>
#include "ngtk_test.h"

void init_test(void)
{
	char *foo = (char *)malloc(2048);	/* if I don't put this I get core dumps */
    ngtk_launch_display();
	key_table = 0;

    init_info();
    init_radio_test();
    init_menu_test();
    init_text_input();
    init_pbar();
    init_scroll_test();
    init_quit();
	init_menu_bar();

	ngtk_fade_out();
    ngtk_topbar(BLACK_F(WHITE_B), A_NORMAL, version_info, 1);
    ngtk_footbar(RED_F(WHITE_B), A_NORMAL, BLACK_F(WHITE_B), A_NORMAL);

    wall = ngtk_push_win(LINES-2, COLS, 1, 0, BLUE_F(WHITE_B), A_NORMAL, 0, 0);
    ngtk_clrwin(wall->win, ACS_BOARD, 1);

	mbar = ngtk_push_win(1, 12, 1, 0, BLACK_F(WHITE_B), A_NORMAL, 0, 0);
	ngtk_clrwin(mbar->win, 32, 0);
	waddch(mbar->win, ACS_RARROW);
	waddch(mbar->win, ' ');
	ngtk_dccprintf(mbar, RED_F(WHITE_B), A_NORMAL, BLACK_F(WHITE_B), A_NORMAL, "Functions");
	wrefresh(mbar->win);

	ngtk_fade_in();
}
